Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 595520 - App crashes on accessing particular URL
Summary: App crashes on accessing particular URL
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: webkitgtk
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Peter Gordon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-24 21:09 UTC by GeoffLeach
Modified: 2010-09-11 21:14 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-11 21:14:04 UTC


Attachments (Terms of Use)
Core from liferea (deleted)
2010-05-24 21:09 UTC, GeoffLeach
no flags Details
core from liferea, with symbols (deleted)
2010-05-25 13:03 UTC, GeoffLeach
no flags Details
Midori displaying website in question (deleted)
2010-05-25 14:53 UTC, Adam Miller
no flags Details

Description GeoffLeach 2010-05-24 21:09:21 UTC
Created attachment 416228 [details]
Core from liferea

Description of problem:
App crashes on accessing particular URL

Version-Release number of selected component (if applicable):
webkitgtk-1.1.15.4-1.fc12.i686


How reproducible:
Always

Steps to Reproduce:
1.access http://www.weeklystandard.com/blogs/toomey-weighs-sestak-job-offer
2.
3.
  
Actual results:
core

Expected results:


Additional info:
Liferea (http://liferea.sourceforge.net/) is a aggregator. Accessing the above URL it crashes in webkit. Hopefully finger pointing can be avoided :-)

Sorry, no symbols for webkit. If I can get the debuginfo, I'll update

Comment 1 GeoffLeach 2010-05-25 13:03:45 UTC
Created attachment 416398 [details]
core from liferea, with symbols

Comment 2 Adam Miller 2010-05-25 14:52:42 UTC
I'm not entirely sure this is a webkitgtk issue. I visited the site referenced without any crashing using Midori which is built against webkitgtk.

[09:50:10][adam@turnip][~]+ rpm -q midori webkitgtk
midori-0.2.6-1.fc12.i686
webkitgtk-1.1.15.4-1.fc12.i686

Comment 3 Adam Miller 2010-05-25 14:53:50 UTC
Created attachment 416429 [details]
Midori displaying website in question

I created an attachment of the screenshot of midori displaying the page without issue.

Comment 4 Kevin Fenzi 2010-09-11 17:58:22 UTC
Possibly another dup of bug 516057 ?

Do you see any selinux execmem denials?

Comment 5 GeoffLeach 2010-09-11 20:55:09 UTC
Not reproducible,   Liferea 1.7.4, webkitgtk-1.2.0-1.fc13.i686, kernel 2.6.34.6-54.fc13.i686.PAE. Selinux not installed, thankfully.

Comment 6 Kevin Fenzi 2010-09-11 21:14:04 UTC
ok. I guess we should just close this out then?

feel free to re-open or file a new bug when/if you spot further issues...


Note You need to log in before you can comment on or make changes to this bug.